@echo off
REM **************************************************************************
REM *                                                                        *
REM *   TITLE:  AUTOEXEC.BAT                        DATE CREATED: 01/20/2011 *
REM *                                                                        *
REM *   BIOS 1.0.3032 Update.                                                *
REM *                                                                        *
REM **************************************************************************

set BIOSREV=3032
set BBREV=3025

if exist check.exe goto GETID
@echo Invalid update program
goto END

:GETID
check /m > NUL
IF "%AHWID%" == "044A" goto 044A
IF "%AHWID%" == "044B" goto 044B
IF "%AHWID%" == "044C" goto 044C
@echo System Type Unmatched !!
goto END

:044A
set THISHWID=044A
set MIDDATA=mid1.dat
goto CHKBIOS

:044B
set THISHWID=044B
set MIDDATA=mid2.dat
goto CHKBIOS

:044C
set THISHWID=044C
set MIDDATA=mid3.dat
goto CHKBIOS

:CHKBIOS
check /r=%THISHWID% /i=%MIDDATA% /s=IAM /g=%BIOSREV% /b=%BBREV% /n=4 bios.wph > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:FLASH
@echo Now reading BIOS update tool ...
@echo Wait for a few minutes.
phlash16 /X /P /mode=3
if errorlevel  1 goto PHERR

@echo.
@echo BIOS update is successfully completed.
@echo Please eject the floppy disk and reboot the system.
goto END

:BBFLASH
@echo Now reading BIOS update tool .....
@echo Wait for a few minutes.
phlash16 /X /P /BBL /mode=3
if errorlevel  1 goto PHERR

@echo.
@echo BIOS update is successfully completed.
@echo Please eject the floppy disk and reboot the system.
goto END

:PHERR
@echo.
@echo BIOS Update Utility Error.
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:HWIDERR
@echo System Type Unmatched!!
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:END
